public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Alexis Ballier" <aballier@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-plugins/rev-plugins/
Date: Sun,  1 Nov 2015 10:14:41 +0000 (UTC)	[thread overview]
Message-ID: <1446226031.09b19e4e1c4fe35ae5570dc304cd828b022c944f.aballier@gentoo> (raw)

commit:     09b19e4e1c4fe35ae5570dc304cd828b022c944f
Author:     Gavin Pryke <gavinlee303 <AT> gmail <DOT> com>
AuthorDate: Thu Oct 15 18:56:54 2015 +0000
Commit:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Fri Oct 30 17:27:11 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=09b19e4e

media-plugins/rev-plugins: fix HOMEPAGE, SRC_URI, EAPI=5. bug #437186

The HOMEPAGE and SRC_URI for kokkinizita upstream was changed
some time ago. These changes point said variables to the new
location. The previous ebuild was EAPI=2 which is deprecated so
bumped to EAPI=5, revbumped and modified ebuild accordingly.

Bug: https://bugs.gentoo.org/show_bug.cgi?id=437186

 .../rev-plugins/rev-plugins-0.3.1-r2.ebuild        | 34 ++++++++++++++++++++++
 1 file changed, 34 insertions(+)

diff --git a/media-plugins/rev-plugins/rev-plugins-0.3.1-r2.ebuild b/media-plugins/rev-plugins/rev-plugins-0.3.1-r2.ebuild
new file mode 100644
index 0000000..efe47c8
--- /dev/null
+++ b/media-plugins/rev-plugins/rev-plugins-0.3.1-r2.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit multilib toolchain-funcs
+
+MY_P=${P/rev/REV}
+
+DESCRIPTION="REV LADSPA plugins package. A stereo reverb plugin based on the well-known greverb"
+HOMEPAGE="http://kokkinizita.linuxaudio.org/linuxaudio/"
+SRC_URI="http://kokkinizita.linuxaudio.org/linuxaudio/downloads/${MY_P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND="media-libs/ladspa-sdk"
+RDEPEND="${DEPEND}"
+
+S=${WORKDIR}/${MY_P}
+
+src_prepare() {
+	tc-export CXX
+	sed -i Makefile -e 's/-O2//' -e 's/g++/$(CXX) $(LDFLAGS)/' || die
+}
+
+src_install() {
+	dodoc AUTHORS README
+	insinto /usr/$(get_libdir)/ladspa
+	insopts -m0755
+	doins *.so
+}


             reply	other threads:[~2015-11-01 10:14 UTC|newest]

Thread overview: 10+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2015-11-01 10:14 Alexis Ballier [this message]
  -- strict thread matches above, loose matches on Subject: below --
2015-11-09 12:27 [gentoo-commits] repo/gentoo:master commit in: media-plugins/rev-plugins/ Alexis Ballier
2018-03-07 13:51 Agostino Sarubbo
2018-03-13 22:26 Thomas Deutschmann
2018-03-16 20:45 Pacho Ramos
2021-10-22  8:22 Jakov Smolić
2022-07-07 14:25 Alexis Ballier
2022-08-08 12:34 Agostino Sarubbo
2022-08-12 11:55 Agostino Sarubbo
2022-08-13  4:08 Miroslav Šulc

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1446226031.09b19e4e1c4fe35ae5570dc304cd828b022c944f.aballier@gentoo \
    --to=aballier@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox